Subject: [patch 0/5] d80211.h bitfield removal

From: David Kimdon <[email-masked]>
Date: Fri, 13 Oct 2006 12:20:45 -0700

Continue d80211 bitfield removal.  In general, compilers have
difficulty generating efficient code for bitfields.  This patchset
removes all bitfields from include/net/d80211.h (except for the xr and
Super A/G fields which are completely removed by previous patches).

I converted the 1 bit bitfields into a bit in a u32 flags structure
member.  Larger bitfields I converted into their u8/u16/whatever
equivalent.

This should be a no-op from a functionality standpoint.

-David

--